%define module psycopg

Summary:        PostgreSQL database adapter for Python
Name:           python-%module
Version:        1.1.21
Release:        %mkrel 5
Group:          Development/Python
License:        GPL
URL:            http://www.initd.org/software/initd/psycopg
Source0:        http://initd.org/pub/software/psycopg/%{module}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:       python-egenix-mx-base python postgresql
BuildRequires:  python-devel
BuildRequires:  postgresql-devel 
BuildRequires:  python-egenix-mx-base
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version


%description
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch with
the aim of being very small and fast, and stable as a rock. The main
advantages of psycopg are that it supports the full Python DBAPI-2.0 and
being thread safe at level 2.

%prep
%setup -q -n %{module}-%{version}

%build
%configure --with-postgres-includes=%{_includedir}/postgresql/ --with-mxdatetime-includes=%{py_puresitedir}/mx/DateTime/mxDateTime/
%make

%install
mkdir -p $RPM_BUILD_ROOT/%{py_platsitedir}
install -m 555 psycopgmodule.so $RPM_BUILD_ROOT/%{py_platsitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS  COPYING  CREDITS  FAQ  INSTALL  NEWS  README  RELEASE-1.0  SUCCESS  TODO doc
%{py_platsitedir}/*.so


%changelog
* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Mon Dec 28 2009 Texstar <texstar at gmail.com> 1.1.21-4pclos2010
- rebuild for new postgresl

